function b = getQuadraticCoefficients(a)
    %Funksjonen regner ut de eksakte kvadratiske koeffisientene som svarer
    %til de linere koeffisientene i a. Dvs. hvis u=sum_{xi=-N}^N a_xi exp(i xi x),
    %s inneholder vektoren b koeffisientene b_xi, der 
    %b_xi = sum_{p_-N}^N sum{q=-N}^N a_p*a_q,    -N<=xi<=N
    b=conv(a,a,'same');
end