%Fourier-Galerkin-SVV-lser
%Lser den ikkelinere, fraksjonelle konserveringsloven u_t+d_x[f(u)]=L(A(u)) p Omega=(0,2*pi), med periodiske randbetingelser u(0)=u(2*pi)
%Utviklet av Stein-Olav Davidsen, 2013.

clear all;
close all;

%%%%%Parametre

N=256; %Diskret romdimensjon; m vre delelig med 2
T=0.5; %Sluttid for simuleringer
alpha=1.0; %Fraksjonalitetsparameteren i Laplace-operatoren. 0<alpha<=2 m vre oppfylt. alpha==2 svarer til standard Laplace (lokal operator)
eps = 1e-15; %Presisjon i kvadraturen for den ikkelokale operatoren
dealiasing = 1; %Spesifiserer om dealiasing skal brukes eller ikke
SVV = 1; %Spesifiserer om SVV skal brukes eller ikke

%%%%%Variable

C=solver(N, T, alpha, eps, dealiasing, SVV); %Lsningskoeffisientene

%%%%%Plots

plotSimulationResults(C);


