function u=getFunctionValuesFromCoefficients(C)
    %Utfrer FFT^(-1) p a, der a antas  inneholde koeffisientene fra -N/2 til N/2-1, for  finne U
    %Pga fft returnerer den "ensidige" vektoren med alle koeffisienter opp
    %til N og vi har endret p denne vektoren til  hente ut halvparten p positiv side, dvs opp til N/2, og
    %revertert og komplekskonjugert for  f venstresiden, dvs. ned til
    %-N/2, m vi reversere denne omstokkingen i vektoren fr det tas
    %inverstransform:
    
    N=size(C,1);
    C=[C(:,N/2+1:end) , C(:,1:N/2)]; %Flipper venstre-hyre
    C=[C(N/2+1:end,:) ; C(1:N/2,:)]; %Flipper ned-opp
    u = N^2*ifft2(C);
end