function v=getNonlocalIntegrals(N,alpha,eps)
    %Returnerer en vektor av lengde 2*N+1 som inneholder de ikkelokale integralene
    %som svarer til Fouriersymbolet til den fraksjonelle Laplace-operatoren
    %til en presisjon eps
    
    d=1; %Dimensjonstallet
    c_alpha=alpha*gamma((d+alpha)/2)*(1/(2*pi^(d/2+alpha)*gamma(1-alpha/2)));
    xi=(-N:N)';
    theta = evaluateSinIntegral(alpha, eps);
    C_alpha = ((2*c_alpha)/alpha)*theta;
    v=-C_alpha*abs(xi).^alpha;
end