function epsilon_N = getViscosityModule(N, SVV)
%Returnerer epsilon_N, som er koeffisienten til SVV (spectral vanishing
%viscosity)-leddet.
    switch(SVV)
        case 0
            epsilon_N=0;
        case 1
            theta=0.5;
            c=1;
            epsilon_N = c*N^(-theta);
        otherwise
            error('SVV boolean must be either 0 or 1!');
    end
end