function a0=initialCondition(N)
    %Returnerer N'te-ordens-projeksjonen av initialdataene ved bruk av
    %kvadratur for  regne ut Fourierkoeffisientene
    g=@(x) sign(pi-x);
    a0=zeros(2*N+1,1);
    for xi=-N:N
        i=xi+N+1; %Indeks i koeffisientvektoren
        integrand = @(x) (1/(2*pi))*g(x).*exp(-1i*xi*x);
        a0(i) = quadgk(integrand, 0, 2*pi);
    end
end