function C=getCoefficientsFromFunctionValues(u)
    %Utfrer FFT p u for  finne A
    %Pga fft returnerer den "ensidige" vektoren med alle koeffisienter opp
    %til N, m vi hente ut halvparten p positiv side, dvs opp til N/2, og
    %revertere og komplekskonjugere for  f venstresiden, dvs. ned til -N/2: 
    N=size(u,1);
    C = (1/N^2)*fft2(u);
    C = [C(N/2+1:end,:) ; C(1:N/2,:)]; %Flipper opp-ned
    C = [C(:,N/2+1:end) , C(:,1:N/2)]; %Flipper hyre-venstre
end

