function epsilon_N = getViscosityModule(N, SVV)
%Returnerer epsilon_N, som er koeffisienten til SVV (spectral vanishing
%viscosity)-leddet.
    if SVV==0
        epsilon_N = 0;
    else
        theta=0.5;
        c=1;
        epsilon_N = c*N^(-theta);
    end
end