function A0=initialCondition(N)
    %Returnerer N'te-ordens-projeksjonen av initialdataene
    %g=@(x) 4*sin(0.5*x);
    g=@(x,y) sign(pi-max(abs(x),abs(y)));
    x=linspace(0,2*pi-(2*pi)/N,N);
    [X,Y]=meshgrid(x,x);
    U=g(X,Y);
    A0=getCoefficientsFromFunctionValues(U);
end