%Fourier-Galerkin-SVV-lser i 2D
%Lser den ikkelinere, fraksjonelle konserveringsloven u_t+d_x[f(u)]=L(A(u)) p Omega=(0,2*pi)^2, med periodiske randbetingelser
%Utviklet av Stein-Olav Davidsen, 2013

clear all;
close all;

%%%%%Parametre

N=32; %Diskret romdimensjon
T=0.5; %Sluttid for simuleringer
dt=0.01; %Tidssteg i simuleringene
alpha=1.0; %Fraksjonalitetsparameteren i Laplace-operatoren. alpha m oppfylle 0<alpha<=2. alpha==2 svarer til standard Laplace (lokal operator)
eps = 1e-15; %Presisjon i ikkelokal kvadratur
SVV = 1;

%%%%%Variable

C=solver(N, T, dt, alpha, eps, SVV); %Lsningskoeffisientene

%%%%%Plots

plotSimulationResults(C);


